clear all
set more off
pause on
cap cd "$PAKTAX2_ANALYSIS"

****Updating HR of Inspectors who were control/excluded in Year 1, but Treatment in Year 2. As of August 5th 2014****

do "Data\Do Files\Cleaning\Treatment Inspectors List\Year 2\called files\new treatment list with current inspectors"

****Merging Continuing Treatment with New Treatment****
****Dropping inspectors who left department, retired etc in Year 1****
****Dropping inspectors who left department, retired etc in Year 2****
****Dropping new treatment inspector if inspector shows up in both continuing and new - rule set earlier****

do "Data\Do Files\Cleaning\Treatment Inspectors List\Year 2\called files\Complete Treatment Group"

****Correcting all charge information based on HR data as of August 5th 2014****

/* Correcting for New Treatment */

drop ins_1_ac _m

merge 1:1 hr_id circle_id using "Data\Randomization\Ballot Cleaning Year 2/Output/Complete Treatment List Year 2.dta", keepusing(hr_id circle_id ins_1_ac)

order ins_1_ac, before(group)

/* Correcting for Continuing Treatment */
* Setting the rule that continuing treatment inspectors continue having their earlier balloted charge

*replace ins_1_ac = 0 if hr_id == 40835 & circle_id == 402200

* HR ID 11660, circle ID 107902
* HR ID 11671, circle ID 107600
* HR ID 31202, circle ID 306011
* HR ID 31276, circle ID 306500
* HR ID 40838, circle ID 400400
* HR ID 40843, circle ID 403100
* HR ID 60130, circle ID 609300
* HR ID 60195, circle ID 611500
* HR ID 61005, circle ID 615200
* HR ID 92313, circle ID 900310
* HR ID 112542, circle ID 1101300
* HR ID 112702, circle ID 1106200 & circle ID 1106400
* HR ID 112819, circle ID 1108300


****Residual Cleaning****

/* Fixing Akhtar Ali Gondal's issue */

replace circle_id = 402800 if circle_id == 402700

/* Misc. */

drop treat-nvals _m partition_name
order division_id, after(partition_id)

/* Adding District names */

tempfile final
sa `final'

insheet using "Data\Raw Data\Current HR Confirmation\140915 HR Verification FY2015 Q1 - Ballot\150109 HR Verification Q1.csv", comma clear
keep circle_id district
drop if circle_id ==.
duplicates drop circle_id, force
tempfile districts
sa `districts'

u `final'
drop district
merge 1:1 circle_id using `districts'
drop if _m==2
drop _m

replace district = "BAHAWALPUR" if circle_id == 101800
replace district = "DG KHAN" if circle_id == 200302
replace district = "GUJRANWALA" if circle_id == 403100
replace district = "Zone-11" if circle_id == 507201
replace district = "LODHRAN" if inlist(circle_id, 807101, 807102)

assert district!=""
order district, after(division_name)

/* Cleaning output folder and saving cleaned ballot file*/

sa "Data\Randomization\Ballot Cleaning Year 2/Output\Complete Treatment List Year 2.dta", replace
