function num_derivative(filename, full_knowledge, input_file, optimal_alpha, base_performance, prefs_file) 
% Code to return numerical derivative of average effort with respect to
% alpha (around optimal alpha)

avg_effort_optalpha=return_average_effort('efforts', full_knowledge, input_file, optimal_alpha, base_performance, prefs_file);
increment=0.001;
num_iter=10;
differentiation=nan(num_iter*2, 3);

for iteration = 1:10
    % lower
    to_add=-(11-iteration)*increment;
    stop=optimal_alpha+to_add;
    stop_avg_effort=return_average_effort('efforts', full_knowledge, input_file, stop, base_performance, prefs_file);
    differentiation(iteration,1)=stop;
    differentiation(iteration,2)=to_add;
    differentiation(iteration, 3)=(stop_avg_effort-avg_effort_optalpha)/to_add;
end

for iteration = 1:10
    % higher
    row=iteration+11;
    to_add=(11-iteration)*increment;
    stop=optimal_alpha+to_add;
    stop_avg_effort=return_average_effort('efforts', full_knowledge, input_file, stop, base_performance, prefs_file);
    differentiation(row,1)=stop;
    differentiation(row,2)=to_add;
    differentiation(row, 3)=(stop_avg_effort-avg_effort_optalpha)/to_add;
end

dlmwrite(strcat(filename, '.csv'), differentiation, 'precision', '%i');