/*

Plots of alpha
		
*/


******************************************************************************
* 0. Initial setup
******************************************************************************

clear all
set more off
set trace off
pause on
set graphics on
cap cd "${TP_ANALYSIS}"

set scheme s1color

forvalues i = 1/3 {
	forvalues j = 1/2 {
		forvalues k = 1/1 {
		
		local pref: word `i' of "idpref" "randpref" "fullk"
		local pref_title: word `i' of "Identical prefs" "Random prefs" "Full kn of prefs" 
		local y: word `j' of "noy" "fully" 
		local y_title: word `j' of "no kn of y" "full kn of y" 
		local year: word `k' of "y1"
		
		import delimited "../Matlab simulations\eq_effort\master\alphas_plots/plot_`pref'_`y'_`year'.csv", clear

		ren v1 twoalpha
		gen v3=abs(v2)
		ren v3 error
		
		lab var twoalpha "2*alpha"
		lab var error
		
		twoway connected error twoalpha, lcolor(blue) msize(tiny) yscale(log) name(gph`i'`j'`k') title("`pref_title', `y_title'") xtitle("error: |avg. effort – 0.049|")
		graph save "output\Paper\graphs/plot_`pref'_`y'_`year'.gph", replace
		
		}
	}
}

grc1leg gph321 gph311 gph121   gph221 
graph export "output\Paper/uniqueness_alpha_plot_paper.pdf", replace
