/*
Uniqueness
*/

*************************************************************
* Initial Setup
*************************************************************

clear all
set more off
set trace off
cap cd "${TP_ANALYSIS}"

set scheme s1color

forvalues i = 1/4 {
	local file: word `i' of "idp_lneqalpha" "randp_lneqalpha" "fullky_lneqalpha" "fullknoy_lneqalpha" 
	local title: word `i' of "Identical P, full knowledge of y" "Random P, full knowledge of y" "Full knowledge of P and y" "Full knowledge of P, no knowledge of y" 
	
	import delimited "..\Matlab simulations\eq_effort\master/efforts_`file'_100100finaleffort.csv", clear
	ren v1 hr_id
	ren v2 group_id
	
	forvalues j = 3/102{
		local t = `j'-2
		ren v`j' v`t'
		lab var v`t' "Equilibrium effort: starting point `t'"
	}
	
	* Standard deviation of equilibrium effort
	
	#delimit ;
	egen stdev_eqeffort=rowsd(v1 v2 v3 v4 v5 v6 v7 v8 v9 v10 v11 v12 v13 v14 v15 v16 v17 v18 v19 v20
	v21 v22 v23 v24 v25 v26 v27 v28 v29 v30 v31 v32 v33 v34 v35 v36 v37 v38 v39 v40
	v41 v42 v43 v44 v45 v46 v47 v48 v49 v50 v51 v52 v53 v54 v55 v56 v57 v58 v59 v60
	v61 v62 v63 v64 v65 v66 v67 v68 v69 v70 v71 v72 v73 v74 v75 v76 v77 v78 v79 v80
	v81 v82 v83 v84 v85 v86 v87 v88 v89 v90 v91 v92 v93 v94 v95 v96 v97 v98 v99 v100)
	;
	#delimit cr
	
	replace stdev_eqeffort=0 if v100<=10^-8
	
	* Average equilibrium effort
	#delimit ;
	egen mean_eqeffort=rowmean(v1 v2 v3 v4 v5 v6 v7 v8 v9 v10 v11 v12 v13 v14 v15 v16 v17 v18 v19 v20
	v21 v22 v23 v24 v25 v26 v27 v28 v29 v30 v31 v32 v33 v34 v35 v36 v37 v38 v39 v40
	v41 v42 v43 v44 v45 v46 v47 v48 v49 v50 v51 v52 v53 v54 v55 v56 v57 v58 v59 v60
	v61 v62 v63 v64 v65 v66 v67 v68 v69 v70 v71 v72 v73 v74 v75 v76 v77 v78 v79 v80
	v81 v82 v83 v84 v85 v86 v87 v88 v89 v90 v91 v92 v93 v94 v95 v96 v97 v98 v99 v100)
	;
	#delimit cr
	
	* SD of equilibrium effort as % of mean
	gen sd_perc_mean=(stdev_eqeffort/mean_eqeffort)
	
	hist sd_perc_mean, title("`title'") fraction name(gph`i') xscale(range(0 1)) xlabel(0(0.1)1) xtitle("Std dev of effort as % of mean effort")
	
}

grc1leg gph3 gph4 gph1 gph2
graph export "output\Paper/uniqueness_eqalpha_paper.pdf", replace
